'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: dbtools2.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:52:54 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**************************************************************************************
'*
'* owner : marc.schwanz@sun.com
'*
'* short description : Helper Routines for Base tests.
'*
'***************************************************************************************
'*
' #1 fCreateDbaseDatasource
'*
'\***********************************************************************************

function  fCreateDbaseDatasource( sDSName, sURL ) as boolean
	dim bOK as boolean
	bOK = FALSE
    call hNewDocument
	'/// open the data source administration dialogue
	printlog "open the data source administration dialogue"
    ToolsDataSources
    Kontext "DataSourceAdministration"
        if bCheckForDS(sDSName) then
            sDeleteDatasource(sDSName)
            Apply.Click
        endif
    sleep(1)
        '/// create a new datasource
        printlog "create a new datasource"
        NewDataSource.Click
    Kontext "TabGeneral"
        '/// as datasource name insert the specified name
        printlog "as name insert: " + sDSName
        SourceName.setText sDSName
        DatabaseType.Select "dBase"
        '/// add a dBase source with the specified URL
        printlog "add a dBase source with the specified URL"		
        DataSourceURL.setText "sdbc:dbase:" + sURL
        sleep(1)
    Kontext "DataSourceAdministration"
        TabControl.setPage TabTables
        sleep 1
    Kontext "Messagebox"
        if Messagebox.Exists(3) then
            if Messagebox.getRT=304 then
                warnlog "Error messages occured"
                bOK = false
                Messagebox.OK
            end if
        end if       
        bOK = true    
    Kontext "DataSourceAdministration"
        DataSourceAdministration.OK
        fCreateDbaseDatasource = bOK
        ' set global variables 
        gDatasourceName = sDSName
        sleep(1)
    call hCloseDocument

end function
'-------------------------------------------------------------------------
'-------------------------------------------------------------------------
function  fCreateAdabasDatasource( sDSName, sURL, sUser ,sPassword ) as boolean
	dim bOK as boolean
	bOK = FALSE
    call hNewDocument
	'/// open the data source administration dialogue
	printlog "open the data source administration dialogue"
    ToolsDataSources
    Kontext "DataSourceAdministration"
        if bCheckForDS(sDSName) then
            sDeleteDatasource(sDSName)
            Apply.Click
        endif    		
		'/// create a new datasource
		printlog "create a new datasource"
		NewDataSource.Click
	Kontext "TabGeneral"
		'/// as datasource name insert the specified name
		printlog "as name insert: " + sDSName
		SourceName.setText sDSName
		DatabaseType.Select "Adabas"
		'/// add an Adabas source with the specified URL 
		printlog "add an Adabas source with URL: " + sURL
        DataSourceURL.setText "sdbc:adabas:" + sURL
		'/// change to tabpage: Adabas D & insert the specified user
		printlog "change to tabpage: Adabas D & insert user: " + sUser
	Kontext "DataSourceAdministration"
		TabControl.setPage TabODBC
    Kontext "TabODBC"
		Adabas_Username.setText sUser
		'/// check: Password requiered
		Adabas_PasswortRequired.Check
		sleep 1
	Kontext "DataSourceAdministration"
		sleep 1
		TabControl.setPage TabTables
	    sleep 1
	Kontext "LoginDialog"
	    if LoginDialog.Exists(3) then
   			printlog "login dialog"
    		Password.SetText sPassword
	        LoginDialog.OK
	        sleep 1
	    end if
	    sleep 1
	Kontext "Messagebox"
	   	if Messagebox.Exists(3) then
			if Messagebox.getRT=304 then
	   			warnlog "Error messages occured"
				bOK = false
				Messagebox.OK
			end if
		end if
        sleep 1
   	Kontext "Messagebox"
	   	if Messagebox.Exists(3) then
			if Messagebox.getRT=304 then
				warnlog "Error messages occured"
				bOK = false
				Messagebox.OK
			end if
		end if
        sleep 1
		bOK = true
	
	Kontext "DataSourceAdministration"
	DataSourceAdministration.OK
	fCreateAdabasDatasource = bOK
    gDatasourceName = sDSName
	sleep(1)
	call hCloseDocument

end function
        
