'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: im_007_.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:20 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : thorsten.bosbach@sun.com
'*
'* short description :
'*
'\*****************************************************************

' this menue is only in impress availble

sub im_007_
   printLog Chr(13) + "---------  im_007_     ---------- "

   Call tSlideShowSlideShow
   Call tSlideShowRehearseTimings
   Call tSlideShowSlideShowSettings
   Call tSlideShowCustomSlideShow
   Call tSlideShowSlideTransition
   Call tSlideShowShowHideSlide
   Call tSlideShowAnimation
   Call tSlideShowEffects
   Call tSlideShowInteraction

end sub

testcase tSlideShowSlideShow
'/// open application ///'
 Call hNewDocument
'/// Slide Show->Slide Show Settings ///'
    SlideShowPresentationSettings
       Kontext "Bildschirmpraesentation"
  '/// check if 'type' 'default' is checked, it has to be the default !///'
       if standard.IsChecked then
          if LogoAnzeigen.isEnabled then
             Warnlog "'Show Logo' is Enabled :-("
          endif
       else
          Warnlog "type 'default' is not checked as default :-("
       endif
  '/// check checkbox 'Window' ///'
       Fenster.Check
       Printlog "-  Presentation in window mode is checked"
  '/// close dialog with OK 'Slide Show' ///'
    Bildschirmpraesentation.Ok
    sleep 3
'/// Slide Show->Slide Show ///'
    SlideShowSlideshow
    Sleep 5
    try
       Kontext "DocumentPresentation"
       sleep 3
'/// Press <Esc> to leave presentation mode ///'
       DocumentPresentation.Typekeys ("<Escape>")
       Sleep 3
       Kontext "DocumentImpress"
       DocumentImpress.MouseDoubleClick ( 50, 50 )
       Sleep 3
    catch
'       FileClose
       warnlog "had to catch <the ball> :-( "
'   	 Kontext "Messagebox"
'       if Messagebox.Exists (5) Then Messagebox.No
'       Kontext
'       sleep (12)
'       start sAppExe$
'       sleep (6)
'       Kontext
'       if Office.Exists(2) then Resetapplication
'       Warnlog "Slide didn't end, application wasn't in document edit mode"
    endcatch
'/// close application ///'
 Call hCloseDocument
endcase

testcase tSlideShowRehearseTimings
'/// open application ///'
 Call hNewDocument
'/// Slide Show->Slide Show Settings ///'
   SlideShowPresentationSettings
      Kontext "Bildschirmpraesentation"
     '/// check checkbox 'Window' ///'
      Fenster.Check
     '/// close dialog with OK 'Slide Show' ///'
   Bildschirmpraesentation.Ok
'/// Slide Show->Rehearse Timings ///'
   SlideShowRehearseTimings
      sleep 2
      Kontext "DocumentPresentation"
'/// Press <Esc> to leave presentation mode ///'
      if DocumentPresentation.Exists (5) then
         DocumentPresentation.Typekeys ("<Escape>")
      else
         Warnlog "SlideShowRehearseTimings mode not accessible"
      endif
      Sleep 3
      if DocumentPresentation.Exists then ' the kontext hasnt to be available, else ERROR
         DocumentPresentation.TypeKeys "<ESCAPE>" ' => I mustn't be here ever !
         Warnlog "- Slide show mode should have ended"
      else
         printlog "SlideShowRehearseTimings mode not accessible :-) "
      end if
      sleep 3
      try
         Kontext "DocumentImpress"
         DocumentImpress.MouseDoubleClick ( 50, 50 )

         sleep 3
      catch
         warnlog "Had to catch <the ball> :-( "
      endcatch
    sleep 3
'/// close application ///'
 Call hCloseDocument
endcase

testcase tSlideShowSlideShowSettings
'/// open application ///'
 Call hNewDocument
   sleep 2
'/// Slide Show->Slide Show Settings ///'
   SlideShowPresentationSettings
      Kontext "Bildschirmpraesentation"
      call Dialogtest (Bildschirmpraesentation)
      '/// check checkbox in section 'Range' - 'From: ///'
      AbDia.Check
         '/// select the 3rd item from the top from listbox 'From:' ///'
         AbDiaName.GetSelText
      '/// check checkbox 'All Slides' ///'
      AlleDias.Check
'///'      RangeCustomSlideShow         ' gets tested in tSlideShowCustomSlideShow ///'
'         IndividuellePraesentationName
      '///<b> check checkbox 'window' </b>///'
      Fenster.Check
      '/// check checkbox 'default' ///'
      Standard.Check
      '///<b> check check box 'Auto' -> implies looping of slideshow in fullscreen mode </b>///'
      Auto.Check
         '/// set duration of pause to '00:00:05' ///'
         Zeit.GetText
         '/// check check box 'Show logo' ///'
         LogoAnzeigen.Check
      '///<b> check checkbox 'Change slides maually' </b>///'
      DiawechselManuel.Check
      '///<b> check checkbox 'Mouse pointer as pen' </b>///'
         MauszeigerAlsStift.Check
      '///<b> UNcheck checkbox 'Mouse pointer visible' </b>///'
      MauszeigerSichtbar.UnCheck
      '///<b> check checkbox 'Navigator visible' </b>///'
      NavigatorSichtbar.Check
      '///<b> UNcheck checkbox 'animations allowed' </b>///'
      AnimationenZulassen.UnCheck
      '///<b> UNcheck checkbox 'Change slides by clicking on background' </b>///'
      DiaWechselAufHintergrund.UnCheck
      '///<b> check checkbox 'Presentation always on top' </b>///'
      PraesentationImmerImVordergrund.Check
   '/// cancel dialog 'Slide Show' ///'
   Bildschirmpraesentation.Cancel
'/// close application ///'
 Call hCloseDocument
endcase

testcase tSlideShowCustomSlideShow
   '/// open application ///'
   Call hNewDocument
   sleep 2
   '/// Slide Show->Custom Slide Show ///'
   SlideShowCustomSlideshow
      Kontext "IndividuellePraesentation"
      call Dialogtest (IndividuellePraesentation)
      '/// click button 'New' ///'
      Neu.Click
         Kontext "IndividuellePraesentationDefinieren"
         Call DialogTest (IndividuellePraesentationDefinieren)
         '/// select the first entry in the list 'Existing Slides' ///'
         SeitenPraesentation.Select 1
         '/// click button '>>' ///'
         Hinzufuegen.Click
         '/// close dialog 'Define Custom Slide Show' with OK ///'
      IndividuellePraesentationDefinieren.OK
      Kontext "IndividuellePraesentation"
      '/// click button 'Copy' ///'
      Kopieren.Click
      '/// click button 'Delete' ///'
      Loeschen.Click
      '/// click button 'Edit' ///'
      Bearbeiten.Click
         Kontext "IndividuellePraesentationDefinieren"
         '/// select 1st entry in the list 'Selected Slides' ///'
         SelectedSlides.Select 1
         '/// click button '<<' ///'
         Entfernen.Click
         '/// close dialog 'Define Custom Slide Show' with Cancel ///'
      IndividuellePraesentationDefinieren.Cancel
      Kontext "IndividuellePraesentation"
      '/// check checkbox 'Use Custom Slide Show' ///'
      IndividuellePraesentationBenutzen.Check
      sleep 1
      '///+ UNcheck checkbox 'Use Custom Slide Show' ///'
      IndividuellePraesentationBenutzen.UnCheck
      '/// click button 'Start...' ///'
      Starten.Click
         sleep 5
         '/// press key [space] 2 times ///'
         kontext "DocumentPresentation"
         DocumentPresentation.TypeKeys "<space>"
         sleep 1
         DocumentPresentation.TypeKeys "<space>"
         sleep 1
      '/// close dialog 'Custom Slide Shows' ///'
'   IndividuellePraesentation.Close ' slide show ends dialog !
   '/// Slide Show->Slide Show Settings ///'
   try
      SlideShowPresentationSettings
   catch
      warnlog "Presentation did not end :-("
      DocumentPresentation.TypeKeys "<escape>"
   endcatch
      Kontext "Bildschirmpraesentation"
      if Bildschirmpraesentation.exists (5) then
         '/// check checkbox 'Custom Slide Show' ///'
         RangeCustomSlideShow.Check
         printlog "check: '" + IndividuellePraesentationName.GetSelText + "'"
         '/// cancel dialog 'Slide Show' ///'
         Bildschirmpraesentation.Cancel
      else
         warnlog "Dialog not open? SlideShowPresentationSettings"
      endif
   '/// Slide Show->Custom Slide Show ///'
   SlideShowCustomSlideshow
      Kontext "IndividuellePraesentation"
      if (IndividuellePraesentation.exists (5)) then
         '/// click button 'Delete' ///'
         Loeschen.Click
         '/// close dialog 'Custom Slide Shows' ///'
         IndividuellePraesentation.Close
      else
         warnlog "Dialog not open? SlideShowCustomSlideshow"
      endif
   '/// close application ///'
   Call hCloseDocument
endcase

testcase tSlideShowSlideTransition
'/// open application ///'
 Call hNewDocument
'/// create rectangle ///'
   Call hRechteckErstellen ( 10, 10, 20, 40 )
   sleep 1
'/// Slide Show->Slide Transition ///'
   SlideShowSlideTransition
   sleep 2
   Kontext "Diawechsel"
'/// click button 'Effects' ///'
      Effekt.click
      Call DialogTest (Diawechsel,1)
      Printlog "Count of effects : "+Ueberblendeffekt.GetItemCount
      Effektliste.TypeKeys "<right>"
'      Printlog "Count of Effects2 : "+Effektliste.GetItemCount
      Printlog "Count of Speeds : "+Geschwindigkeit.GetItemCount
'/// click button 'Extras' ///'
      Extras.click
   '/// click button 'Automatic Transition' ///'
         DiawechselAutomatisch.click
'/// click 'Duration' - More - Less ///'
         Zeit.More
         Zeit.Less
         Call Dialogtest (Diawechsel,2)
         Printlog "Count of Sounds : "+KlangName.GetItemCount
   '/// click button 'Browse...' ///'
            Durchsuchen.Click
            Kontext "OeffnenDLG"
            call Dialogtest (OeffnenDlg)
   '/// cancel dialog 'Open' ///'
            OeffnenDlg.Cancel
         Kontext "Diawechsel"
   '/// click button 'Sound' ///'
         Klang.click
   '/// click button 'Semiautomatic Transition' ///'
         DiawechselHalbautomatisch.Click
   '/// click button 'Manual Transition' ///'
         DiawechselManuel.Click
'/// click button 'Update' ///'
      Aktualiesieren.Click
'/// click button 'Assign' ///'
      Zuweisen.Click
      Kontext "Diawechsel"
'/// click button 'Preview' ///'
      Vorschau.click
      Kontext "Vorschau"
'      call Dialogtest (Vorschau) there is no text on it !!!
      Vorschau.close
   Kontext "Diawechsel"
'/// close dialog 'Slide Transition' ///'
   Diawechsel.Close
'/// close application ///'
 Call hCloseDocument
endcase

testcase tSlideShowShowHideSlide
'/// open application ///'
 Call hNewDocument
'/// create rectangle ///'
   Call hRechteckErstellen ( 10, 10, 20, 40 )
'/// View->Master View->Slides View ///'
   ViewMasterviewSlides
   sleep 1
'/// Slide Show->Show/Hide Slide ///'
   SlideShowShowHideSlide
   sleep 1
'/// Slide Show->Show/Hide Slide ///'
   SlideShowShowHideSlide
'/// close application ///'
 Call hCloseDocument
endcase

testcase tSlideShowAnimation
'/// open application ///'
   Call hNewDocument
   sleep 1
'/// create rectangle ///'
   Call hRechteckErstellen ( 10, 10, 20, 40 )
   sleep 1
'/// Slide Show->Animation ///'
   SlideShowAnimation
     sleep 1
      Kontext "Animation"
      if animation.exists (5) then
         printlog "Animation window came up :-)"
      else
         warnlog "Animation window didn't came up.  Shit :-("
      endif
'/// click button 'Apply Object' ///'
      BildAufnehmen.Click
     sleep 1
      Call DialogTest ( Animation )
     sleep 1
'/// click button 'Create' ///'
      Erstellen.Click
     sleep 1
'/// Select 1st entry from top in 'Alignment' ///'
      Anpassung.Select 1
     sleep 1
'/// click button 'Create' ///'
      Erstellen.Click
     sleep 1
'/// click button 'Apply Objects Individually' ///'
      AlleAufnehmen.Click
     sleep 1
'/// click button 'First Image' ///'
      ErstesBild.Click
     sleep 1
'/// click button 'Last Image' ///'
      LetztesBild.Click
     sleep 1
'/// click button 'BAckwards' ///'
      Rueckwaerts.Click
     sleep 1
'/// click button 'Play' ///'
      Abspielen.Click
     sleep 1
'/// click in Number field 'Image Number' Less - More ///'
      AnzahlBilder.Less
     sleep 1
      AnzahlBilder.More
     sleep 1
'/// check 'Bitmap Object' ///'
   AnimationsgruppeBitmapobjekt.Check
     sleep 1
'/// Type '10' into the field 'Duration' ///'
      AnzeigedauerProBild.SetText "10"
'/// click button 'Play' ///'
      Abspielen.Click
'/// wait 5 seconds ///'
      sleep 5
'/// click button 'Stop' ///'
      Stopp.Click
     sleep 1
'/// Select 1st entry from top in 'Loop Count' ///'
      AnzahlDurchlaeufe.Select 1
     sleep 1
'/// click button 'Delete Current Image' ///'
      BildLoeschen.Click
     sleep 1
'/// check 'Group Object' ///'
   AnimationsgruppeGruppenobjekt.Check
     sleep 1
'/// click button 'Delete All Images' ///'
      AlleLoeschen.Click
      kontext "Messagebox"
'/// there has to be a messagebox 'Really delete?' say YES!; else ERROR ///'
      if Messagebox.exists (5) then
         Messagebox.YES
      else
         warnlog "No one cares about my data :-( No one asked if all shall be deleted :-( "
      endif
     sleep 1
     kontext "Animation"
'/// close dialog 'Animation' ///'
      Animation.Close
'/// close application ///'
   Call hCloseDocument
endcase

testcase tSlideShowEffects
'/// open application ///'
 Call hNewDocument
'/// create textbox with text ///'
   Call hTextrahmenErstellen ("Test text to test text effects", 10, 10, 20, 40 )
'/// Slide Show->Effects ///'
    SlideShowEffects
      Kontext "Effekt"
      if Effekt.exists (5) then
'/// click button 'Effects' ///'
         Effekte.click
         Call Dialogtest2 (Effekt, 1)
'/// click button 'Test Effects' ///'
         Texteffekte.click
            Call Dialogtest2 (Effekt, 2)
   '///+ Select 2nd entry from top in 'Test Effects' ///'
            Texteffekteliste.Select 2
   '///+ select the 2nd effect from the left in the 1st row by keys ///'
            TextEffektauswahl.TypeKeys "<home>"
            TextEffektauswahl.TypeKeys "<RIGHT>", 2
   '///+ click button 'Assign' ///'
            Zuweisen.Click
            sleep 2
'/// click button 'Effects' ///'
         Effekte.Click
         sleep 1
   '///+ Select 2nd entry from top in 'Effects' ///'
            EffekteListe.Select 2
   '///+ select the 2nd effect from the left in the 1st row by keys ///'
            EffekteAuswahl.TypeKeys "<home>"
            EffekteAuswahl.TypeKeys "<RIGHT>", 2
            sleep 1
   '///+ click button 'Assign' ///'
            Zuweisen.Click
'/// click button 'Extras' ///'
         Extras.Click
   '///+ click button 'Object invisible', twice ///'
            UnsichtbarMachen.Click
            UnsichtbarMachen.Click
   '///+ click button 'Fade Object with color' ///'
            MitFarbeAbblenden.Click
            Printlog "Count of Fade Out color : "+Abblendfarbe.GetItemCount
            Call Dialogtest2 (Effekt, 3)
   '///+ click button 'Sound' ///'
            Klang.Click
            sleep 1
   '///+ click button 'Browse...' ///'
            Suchen.click
               sleep 2
               Kontext "OeffnenDLG"
               call Dialogtest (Oeffnendlg)
      '///+ cancel dialog 'Open' ///'
               OeffnenDlg.cancel
            Kontext "Effekt"
            sleep 1
   '///+ click button 'Play in Full' ///'
            VollstaendigAbspielen.Click
            Printlog "Count of Sound Name : "+Klangliste.GetItemCount
   '///+ Select 1st entry from top in 'Sound Name' ///'
            Klangliste.select 1
   '///+ click button 'Sound' ///'
            Klang.Click
'/// click button 'Order' ///'
         Reihenfolge.click
            call Dialogtest2 (Effekt, 4)
            Aktualisieren.click
  '///+ click button 'Assign' ///'
           Zuweisen.click
'/// click button 'Preview' ///'
         Vorschaufenster.Click
         sleep 2
          Kontext "EffektVorschau"
'          Call Dialogtest ( EffektVorschau ) ' Just a window without text on it
          EffektVorschau.Close
         Kontext "Effekt"
'///+ click button 'Preview' ///'
         Effekt.Close
      else
         warnlog "Effect doesn't exist :-("
      endif
      sleep 2
'/// close application ///'
 Call hCloseDocument
endcase

testcase tSlideShowInteraction
'/// open application ///'
 Call hNewDocument
 sleep 2
'/// create rectangle ///'
   Call hRechteckErstellen (10, 10, 20, 20)
   sleep 3
'/// Slide Show->Interaction ///'
   SlideShowInteraction
      Kontext "TabInteraktion"
      Call DialogTest2 (TabInteraktion, 1)
   '///+ Select 6th entry from top in 'Action at mouse click' : 'Go to page or object' ///'
      AktionBeiMausklick.select 6
      Printlog AktionBeiMausklick.GetSelText + " chosen"
      Call DialogTest2 (TabInteraktion, 2)
   '///+ click button 'Find' ///'
      sleep 1
      suchen.click
      Kontext "TabInteraktion"
'/// Select 7th entry from top in 'Action at mouse click' : 'Go to document' ///'
      sleep 1
      AktionBeiMausklick.select 7
      sleep 1
      Printlog AktionBeiMausklick.GetSelText + " chosen"
      Kontext "TabInteraktion"
      Call DialogTest2 (TabInteraktion, 3)
   '///+ click button 'Browse...' ///'
      Durchsuchen.click
        sleep 1
         kontext "OeffnenDlg"
         call Dialogtest (OeffnenDlg)
   '///+ cancel dialog 'open' ///'
      OeffnenDlg.cancel
      Kontext "TabInteraktion"
      sleep 1
'/// Select 9th entry from top in 'Action at mouse click' : 'Play Sound' ///'
      AktionBeiMausklick.select 9
      Printlog AktionBeiMausklick.GetSelText + " chosen"
      Call DialogTest2 (TabInteraktion, 4)
   '///+ click button 'Browse...' ///'
      Durchsuchen.click
   sleep 1
      kontext "OeffnenDlg"
         call Dialogtest (OeffnenDlg)
   '///+ cancel dialog 'open' ///'
         OeffnenDlg.cancel
     Kontext "TabInteraktion"
'/// Select 10th entry from top in 'Action at mouse click' : 'Fade Object' ///'
      AktionBeiMausklick.select 10
      Printlog AktionBeiMausklick.GetSelText + " chosen"
         sleep 3
         Call DialogTest2 (TabInteraktion, 5)
   '/// check checkbox 'Fade with Sound' ///'
         KlangbeiObjektausblenden.check
   '/// check checkbox 'Play in Full' ///'
         KlangVollstaendigAbspielen.Check
         sleep 2
   '///+ click button 'Browse...' ///'
         Durchsuchen.click
            kontext "Oeffnendlg"
            call Dialogtest (Oeffnendlg)
      '///+ click button 'Play' ///'
            Play.Click '                   :-)))))
      '///+ cancel dialog 'open' ///'
            OeffnenDlg.cancel
         Kontext "TabInteraktion"
   '/// Select 2nd entry from top in 'Animation' ///'
         Effekt.Select 2
   '///+ click button 'Fast' ///'
         Schnell.Check
   '///+ click button 'Slow' ///'
         Langsam.Check
   '///+ click button 'Medium' ///'
         Mittel.Check
         Kontext "TabInteraktion"
'/// Select 11th entry from top in 'Action at mouse click' : 'Run Program' ///'
         AktionBeiMausklick.select 11
         Printlog AktionBeiMausklick.GetSelText + " chosen"
            Call DialogTest2 (TabInteraktion, 7)
            Kontext "TabInteraktion"
   '///+ click button 'Browse...' ///'
            Durchsuchen.Click
            sleep 1
               Kontext "OeffnenDlg"
               Call dialogTest (OeffnenDlg)
   '///+ cancel dialog 'open' ///'
               OeffnenDlg.Cancel
         sleep 1
'/// Select 12th entry from top in 'Action at mouse click' : 'Run Macro' ///'
      Kontext "TabInteraktion"
      AktionBeiMausklick.select 12
        Printlog AktionBeiMausklick.GetSelText + " chosen"
      sleep 3
      Call DialogTest2 (TabInteraktion, 6)
   '///+ click button 'Browse...' ///'
           Durchsuchen.Click
           sleep 1
           Kontext "Makro"
           sleep 1
           Call DialogTest ( Makro, 1)
           sleep 1
   '///+ cancel dialog 'Macro' ///'
           Makro.Cancel
           sleep 1
'/// Select 13th entry from top in 'Action at mouse click' : 'Exit Presentation' ///'
      Kontext "TabInteraktion"
      AktionBeiMausklick.select 13
      Printlog AktionBeiMausklick.GetSelText + " chosen"
      Call DialogTest2 (TabInteraktion, 7)
      Kontext "TabInteraktion"
'/// close dialog 'Interaction' ///'
      TabInteraktion.Close
      sleep 2
'/// close application ///'
 Call hCloseDocument
endcase





