'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: im_011_.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:21 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : thorsten.bosbach@sun.com
'*
'* short description :
'*
'\*****************************************************************

'   hGrafikeinfuegen ConvertPath (gTesttoolPath + "global\input\graf_inp\desp.bmp")

sub im_011_
   printLog Chr(13) + "---------  im_011_     ---------- "

   Call tiDiaLeiste    ' only IMPRESS
end sub

testcase tiDiaLeiste
' only in IMPRESS
  dim sTemp as string
  Dim i,x as integer

'/// open application ///'
   Call hNewDocument
   sleep 1
'/// insert a graphic: "global\input\graf_inp\desp.bmp") ///'
  Printlog "- Insert graphic from file so there is something for the slide mode"
   hGrafikEinfuegen ConvertPath (gTesttoolPath + "global\input\graf_inp\desp.bmp")
   sleep 3
'///+ Insert->Slide ///'
   InsertSlide
      sleep 2
      Kontext "SeiteEinfuegen"
      sleep 1
'///+ click OK in dialog 'Insert Slide' ///'
      SeiteEinfuegen.OK
   sleep 3
'///+ insert a graphic: "global\input\graf_inp\desp.bmp") ///'
   hGrafikeinfuegen ConvertPath (gTesttoolPath + "global\input\graf_inp\desp.bmp")
   sleep 3
'///+ View->Master View->Slides View ///'
   ViewMasterviewSlides
   sleep 2
'-------------------------------- Ueberblendeffekt ----------------------------------------
   Printlog "- Test blend effect"
   Kontext "OL_SDD_Dia"  ' CORRECT
   sleep 5

   if Ueberblendeffekt.GetItemCount <> 57 then warnlog "these are not 57: " + Ueberblendeffekt.GetItemCount
'/// select last entry 'Automatic (random)' in listbox 'Slide Effects' on object toolbar ///'
   Ueberblendeffekt.Select (Ueberblendeffekt.GetItemCount)
   Printlog " select last effect (random effect): " + Ueberblendeffekt.GetSelText

'   Printlog Geschwindigkeit.GetRT  ' 341 listbox
'   Printlog Diawechsel.GetRT       ' 341 listbox
'   Printlog Zeit.GetRT             ' 353 spinfield
'   Printlog DiasProReihe.GetRT     ' 353 spinfield
'   Printlog PraesentationMitZeitnahme.GetRT doesn't work, but behave as button
'   Printlog DiaAnzeigen.GetRT               doesn't work, but behave as button

'-------------------------------- Geschwindigkeit -----------------------------------------
  Printlog "- Check different speed settings"
   Kontext "OL_SDD_Dia"
'/// select every item in list 'Transition Speed' ///'
   x = Geschwindigkeit.GetItemCount
   for i = 1 to x
       Geschwindigkeit.Select i
       Printlog "     changed to: " + Geschwindigkeit.GetSelText
   next i
'-------------------------------- Diawechsel ----------------------------------------------
   Printlog "- Style of slide change"
   Kontext "OL_SDD_Dia"
'/// select every item in list 'Auto Transition' ///'
   x = Diawechsel.GetItemCount
   for i = 1 to x
       Diawechsel.Select i
       Printlog "     Changed to: " + Diawechsel.GetSelText + "; is time enabled ?: "+Zeit.IsEnabled
   next i
'-------------------------------- Diawechsel Zeitintervall --------------------------------
   Printlog "- Zeitintervall testen"
   Kontext "OL_SDD_Dia"
'/// select last entry 'Automatic' in listbox 'Auto Transition' ///'
   Diawechsel.Select (Diawechsel.GetItemCount) ' automatic is usually the last one
   sleep 1
   if (Zeit.IsEnabled = FALSE) Then Warnlog "- Time should be editable, if automatic is chosen"
'/// type "15" into the field 'Time' ///'
   Zeit.SetText "15"
   sleep 1
   Printlog "    Time set to: " + Zeit.GetText
'-------------------------------- Praesentation mit Zeitnahme ------------------------------
   Printlog "- Presentation with rehearsed timings"
   Kontext "OL_SDD_Dia"
'/// click button 'Rehearse Timings' ///'
   PraesentationMitZeitnahme.Click
   sleep 2
   Kontext "DocumentPresentation"
   if DocumentPresentation.exists (5) then
      sleep 5
'/// wait some seconds and click with mouse ///'
      DocumentPresentation.MouseDown 50,50
      DocumentPresentation.MouseUp 50,50
      sleep 2
'/// wait some seconds and click with mouse ///'
      DocumentPresentation.MouseDown 50,50
      DocumentPresentation.MouseUp 50,50
      sleep 3
   else
      warnlog "Didn't switch into presentation mode :-("
   endif
   Kontext "DocumentPresentation"
   if DocumentPresentation.exists (5) then
      warnlog "We are still in presentation mode :-( WHY!!!!???"
   endif
'------------------------------- Dia anzeigen ja/nein --------------------------------------
   Printlog "- Show slide yes/no"
   Kontext "OL_SDD_Dia"
'/// click button 'Show/Hide Slide' ///'
   DiaAnzeigen.Click
   sleep 3
'/// click button 'Show/Hide Slide' ///'
   DiaAnzeigen.Click
'------------------------------- Dias pro Reihe --------------------------------------------
   Printlog "- Presentation with rehearsed timings"
   Kontext "OL_SDD_Dia"
   sTemp = DiasProReihe.GetText
'/// press button 'less' in field 'Slides Per Row' ///'
      DiasProReihe.Less
      if sTemp = DiasProReihe.GetText then warnlog "   nothing changed (less)"
   sTemp = DiasProReihe.GetText
'/// press button 'more' in field 'Slides Per Row' ///'
      DiasProReihe.more
      if sTemp = DiasProReihe.GetText then warnlog "   nothing changed (more 1)"
   sTemp = DiasProReihe.GetText
'/// press button 'more' in field 'Slides Per Row' ///'
      DiasProReihe.more
      if sTemp = DiasProReihe.GetText then warnlog "   nothing changed (more 2)"
 kontext
 if active.exists then
   warnlog "active (1): '"+active.gettext+"'"
 endif
'/// close application ///'
 Call hCloseDocument
 sleep 2
endcase


