'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxi_01.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:45 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Impress Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxi_01

   printlog "------------------- sxi_01.inc ---------------------"
   printlog "----------------------------------------------------"
   call talien_attributes
   printlog "---------------------- C J K -----------------------"
   call tchinese
   call tjapan
   call tkorean
   call tradchinese
   printlog "----------------------------------------------------"
   call tAutolayout
   call tText
   call tObjects
   call tEffects_text_objects
   call tEffects_slides   

end sub

'-------------------------------------------------------------------------

testcase talien_attributes

 Dim i as integer
 Dim AttrNameInDOM as string
 Dim AttributeSearch(8) as string
 Dim AttributeValue(8) as string
  printlog "+- Impress: alien.sxi"
  '/// Opening alien.sxi. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\alien.sxi"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\alien.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\alien.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\alien\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\alien\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\alien\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\alien\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening exported document (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\alien.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
     SAXReadFile(gOfficePath & ConvertPath("user\work\xml\impress\update\alien\content.xml"))
     printlog "-----------------"
     printlog "Hidden Namespaces"
     printlog "-----------------"
     '/// <u><b>content.xml</u></b>
     '/// <u>Hidden attributes in namespaces</u>
     '///+ Searching for: xmlns:alien=&quot;http://openoffice.org/2000/alien&quot;
     '-------------------------------------------------------------------------
     AttributeSearch(1) = "xmlns:alien"
     AttributeValue(1) = "http://openoffice.org/2000/alien"
     printlog "++ Feature(s) to be searched for:"
     printlog " |"
     '-------------------------------------------------------------------------
     SAXSeekElement("office:document-content")
     printlog " +- " & AttributeSearch(1)
     if SAXGetAttributeValue(AttributeSearch(1)) <> AttributeValue(1) then
      warnlog "Hidden attributes (in namespace): " & AttributeSearch(1) & " is not " & AttributeValue(1) & "!"
     end if
     printlog "    * * *"
     SAXSeekElement("/")
     '/// <u>hidden attributes</u>
     '///+<ol><li><b>in a drawing-page style</b></li>
     '///+<li><b>in a graphics style</b></li>
     '///+<li><b>in a paragraph style (twice)</b></li>
     '///+<li><b>in a text style</b></li></ol>
     '///+ Searching for: alien:key=&quot;page&quot;
     '///+ Searching for: alien:key=&quot;shape&quot;
     '///+ Searching for: alien:key=&quot;para&quot;
     '///+ Searching for: alien:key=&quot;shape-text&quot;
     '///+ Searching for: alien:key=&quot;text&quot;
      AttributeSearch(1) = "alien:key"
      AttributeValue(1) = "page"

      AttributeSearch(2) = "alien:key"
      AttributeValue(2) = "shape"

      AttributeSearch(5) = "alien:key"
      AttributeValue(5) = "para"

      AttributeSearch(6) = "alien:key"
      AttributeValue(6) = "shape-text"

      AttributeSearch(8) = "alien:key"
      AttributeValue(8) = "text"
     '-------------------------------------------------------------------------
     printlog "++ Feature(s) to be searched for:"
     printlog " |"
     '-------------------------------------------------------------------------
     for i = 1 to 8
      if i = 1 then
        printlog "-----------------------------------------"
        printlog "Hidden attributes in a drawing-page style"
        printlog "-----------------------------------------"
      end if
      if i = 2 then
        printlog "-------------------------------------"
        printlog "Hidden attributes in a graphics style"
        printlog "-------------------------------------"
      end if
      if i = 5 or i = 6 then
        printlog "-------------------------------------------"
        printlog "Hidden attributes in a paragraph style (" & i-4 & ")"
        printlog "-------------------------------------------"
      end if
      if i = 8 then
        printlog "---------------------------------"
        printlog "Hidden attributes in a text style"
        printlog "---------------------------------"
      end if
      if i = 1 or i = 2 or i = 5 or i = 6 or i = 8 then
       'The hidden attributes are in a known sequence included,
       'so the same routine will be used for different styles!
       SAXSeekElement("/")
       SAXSeekElement("office:document-content")
       SAXSeekElement("office:automatic-styles")
       SAXSeekElement("style:style" , i )
       AttrNameInDOM = SAXGetAttributeValue("style:name")
       printlog " + Style name (" & i & "): " & AttrNameInDOM
       printlog " |"
       SAXSeekElement("style:properties")
       printlog " +- " & AttributeSearch(i)
        if SAXGetAttributeValue(AttributeSearch(i)) <> AttributeValue(i) then
           'i = <nr> means <nr>'th style:style in DOM tree
           if i = 1 then warnlog "Hidden attributes (in a drawing-page style): " & AttributeSearch(i) & " is not " & AttributeValue(i) & "!"
           if i = 2 then warnlog "Hidden attributes (in a graphics style): " & AttributeSearch(i) & " is not " & AttributeValue(i) & "!"
           if i = 5 or i = 6 then warnlog "Hidden attributes (in a paragraph style): " & AttributeSearch(i) & " is not " & AttributeValue(i) & "!"
           if i = 8 then warnlog "Hidden attributes (in a text style): " & AttributeSearch(i) & " is not " & AttributeValue(i) & "!"
        end if
      end if
     next i
     SAXSeekElement("/")
     printlog "    * * *"
     '-------------------------------------------------------------------------
     SAXRelease()
     SAXReadFile(gOfficePath & ConvertPath("user\work\xml\impress\update\alien\styles.xml"))
     '-------------------------------------------------------------------------
     printlog "    -------------------"
     printlog "    s t y l e s . x m l"
     printlog "    -------------------"
     printlog "-----------------"
     printlog "Hidden Namespaces"
     printlog "-----------------"
     '/// <u><b>styles.xml</u></b>
     '/// <u>Hidden attributes in namespaces</u>
     '///+ Searching for: xmlns:alien=&quot;http://openoffice.org/2000/alien&quot;
     '-------------------------------------------------------------------------
     AttributeSearch(1) = "xmlns:alien"
     AttributeValue(1) = "http://openoffice.org/2000/alien"
     printlog "++ Feature(s) to be searched for:"
     printlog " |"
     '-------------------------------------------------------------------------
     SAXSeekElement("office:document-styles")
     printlog " +- " & AttributeSearch(1)
     if SAXGetAttributeValue(AttributeSearch(1)) <> AttributeValue(1) then
      warnlog "Hidden attributes (in namespace): " & AttributeSearch(1) & " is not " & AttributeValue(1) & "!"
     end if
     printlog "    * * *"
     SAXSeekElement("/")
     printlog "----------------------------------------"
     printlog "Hidden attributes in a master-page style"
     printlog "----------------------------------------"
     '-------------------------------------------------------------------------
     '/// <u>hidden attributes</u>
     '///+<ol><li><b>in a master-page style</b></li></ol>
     '///+ Searching for: alien:key=&quot;master-page&quot;
     '-------------------------------------------------------------------------
     AttributeSearch(1) = "alien:key"
     AttributeValue(1) = "master-page"
     printlog "++ Feature(s) to be searched for:"
     printlog " |"
     '-------------------------------------------------------------------------
     SAXSeekElement("office:document-styles")
     SAXSeekElement("office:automatic-styles")
     SAXSeekElement("style:style")
     SAXSeekElement("style:properties")
     printlog " +- " & AttributeSearch(1)
     if SAXGetAttributeValue(AttributeSearch(1)) <> AttributeValue(1) then
      warnlog "Hidden attributes (in master-page style): " & AttributeSearch(1) & " is not " & AttributeValue(1) & "!"
     end if
     printlog "    * * *"
     '-------------------------------------------------------------------------
     SAXRelease()
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tchinese

  printlog "+- Impress: chin.sxi"
  '/// Opening chin.sxi which includes chinese characters. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\chin.sxi"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\chin.sxi") , gImpressFilter) = TRUE then
  '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\chin.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\chin\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\chin\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\chin\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\chin\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\chin.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tjapan

  printlog "+- Impress: japan.sxi"
  '/// Opening japan.sxi which includes japanese characters. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\japan.sxi"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\japan.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\japan.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\japan\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\japan\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\japan\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\japan\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\japan.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tkorean

  printlog "+- Impress: korean.sxi"
  '/// Opening korean.sxi which includes korean characters. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\korean.sxi"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\korean.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\korean.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\korean\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\korean\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\korean\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\korean\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\korean.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tradchinese

  printlog "+- Impress: trad_chin.sxi"
  '/// Opening trad_chin.sxi which includes traditional chinese characters. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\trad_chin.sxi"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\trad_chin.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tAutolayout

  Dim AttributeSearch(8) as string
  Dim AttributeValue(8) as string
  printlog "+- Impress: autolayout.sdd"
  '/// Opening autolayout.sdd. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\autolayout.sdd"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
      SAXReadFile(gOfficePath & ConvertPath("user\work\xml\impress\update\autolayout\content.xml"))
      printlog "-----------------"
      printlog "Slide names"
      printlog "-----------------"
      '/// <u><b>content.xml</u></b>
      '/// <u>Slide names</u>
      '///+ Searching for: draw:name="Title subtitle"
      '-------------------------------------------------------------------------
      AttributeSearch(1) = "draw:name"
      AttributeValue(1) = "Title subtitle"
      printlog "++ Feature(s) to be searched for:"
      printlog " |"
      '-------------------------------------------------------------------------
      SAXSeekElement("office:document-content")
      SAXSeekElement("office:body")
      SAXSeekElement(2)
      printlog " +- " & AttributeSearch(1) & " = " & AttributeValue(1)
      if SAXGetAttributeValue(AttributeSearch(1)) <> AttributeValue(1) then
       warnlog "draw:name: " & AttributeSearch(1) & " is not " & AttributeValue(1) & "!"
      end if            
      '-------------------------------------------------------------------------
      SAXRelease()    
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tText

  printlog "+- Impress: Text.sdd"
  '/// Opening Text.sdd. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\Text.sdd"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\Text.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\Text.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\Text\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Text\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Text\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Text\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\Text.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tObjects

  printlog "+- Impress: Objects.sdd"
  '/// Opening Objects.sdd. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\Objects.sdd"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\Objects.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\Objects.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\Objects\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Objects\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Objects\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Objects\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\Objects.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tEffects_text_objects

  printlog "+- Impress: Effects_text_objects.sdd"
  '/// Opening Effects_text_objects.sdd. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\Effects_text_objects.sdd"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_text_objects.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tEffects_slides
  printlog "+- Impress: Effects_slides.sdd"
  '/// Opening Effects_slides.sdd. ///
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\impress\Effects_slides.sdd"))
  '/// Saving document. ///
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides.sxi") , gImpressFilter) = TRUE then
    '/// Closing document. ///
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides.sxi") , gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides\") )
    '/// Checking well formness of meta.xml, styles.xml and content.xml. ///
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      '/// Opening the exported document again (GPF check). ///
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\impress\update\Effects_slides.sxi")
      sleep(2)
      '/// Closing document. ///
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

