'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxw_01a.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:45 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Writer Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxw_01a

   printlog "--------------------------- SXW_01a.INC ------------------------------"

   printlog "---------------------------------------------------------------------"
   call tfields
'   call tfootnotes

end sub

'-------------------------------------------------------------------------
   
testcase tfields
 Dim a as integer
 Dim c as integer
 Dim g as integer
 Dim i as integer
 Dim ElementAnzeige as string
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- fields.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\fields.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\fields.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\fields.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\fields") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\fields\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\fields\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\fields.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
      SAXReadFile(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml"))
      printlog "    ---------------------"
      printlog "    c o n t e n t . x m l"
      printlog "    ---------------------"
      printlog "----------"
      printlog "Textstyles"
      printlog "----------"    
'-------------------------------------------------------------------------
'/// <u><b>CONTENT.XML</u></b>
'/// Searching for: &lt;text:s/&gt; ///
      printlog "++ Feature(s) to be searched for:"
      printlog " |"     
      ' Go to the main XML tag (e.g. <office:document-content...)
      SAXSeekElement("office:document-content")
      ' Go to the BODY-section of the DOM
      SAXSeekElement("office:body")
      ' Select the element you want to check
      SAXSeekElement("text:p" , 1)      
      for c = 1 to 5     
       try
        ' Select the text:s child element which should be under the text:p element.
        SAXSeekElement(c)
        printlog " +- <text:s>" 
        ' One element back in the tree to get the text:p again
        SAXSeekElement(0)
        catch
        ' Catch the exception if something went wrong.        
         warnlog "text:s has not been found in first text:p element!"
       endcatch         
      next c
      printlog "    * * *"
      ' Reset the DOM to root element.
      SAXSeekElement("/")     
'/// Searching for: &lt;text:sender-firstname text:fixed=&quot;false&quot;
'///+ Searching for: &lt;text:sender-lastname text:fixed=&quot;false&quot; ///
''-------------------------------------------------------------------------
'     Searchstring(1) = "<text:sender-firstname text:fixed=" & CHR$(34) & "false" & CHR$(34)
'     Searchstring(2) = "<text:sender-lastname text:fixed=" & CHR$(34) & "false" & CHR$(34)
''-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 5)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text: " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:date
'///+ Searching for: text:date-value=&quot;
'///+ Searching for: text:fixed=&quot;true&quot;
'///+ Searching for: style:data-style-name=&quot; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:date"
'     Searchstring(2) = "text:date-value=" & CHR$(34)
'     Searchstring(3) = "text:fixed=" & CHR$(34) & "true" & CHR$(34)
'     Searchstring(4) = "style:data-style-name="  & CHR$(34)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 7)
'     for i = 1 to 4
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text: " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:word-count style:num-format=&quot;1&quot;&gt;
'///+ Searching for: &lt;/text:word-count&gt;
'///+ Searching for: &lt;text:character-count style:num-format=&quot;1&quot;&gt;
'///+ Searching for: &lt;/text:character-count&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:word-count style:num-format=" & CHR$(34) & "1" & CHR$(34) & ">"
'     Searchstring(2) = "</text:word-count>"
'     Searchstring(3) = "<text:character-count style:num-format=" & CHR$(34) & "1" & CHR$(34) & ">"
'     Searchstring(4) = "</text:character-count>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 9)
'     for i = 1 to 4
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text: " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:reference-mark-start text:name=&quot;ref&quot;/&gt;
'///+ Searching for: &lt;text:reference-mark-end text:name=&quot;ref&quot;/&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:reference-mark-start text:name=" & CHR$(34) & "ref" & CHR$(34) & "/>"
'     Searchstring(2) = "<text:reference-mark-end text:name=" & CHR$(34) & "ref" & CHR$(34) & "/>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:h" , 1)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text (Heading): " & Searchstring(i) & " not found!"
'         warnlog "                May be #87887 (no text:h has been exported) is present?!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:reference-ref text:reference-format=&quot;page&quot; text:ref-name=&quot;ref&quot;&gt;
'///+ Searching for: &lt;/text:reference-ref&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:reference-ref text:reference-format=" & CHR$(34) & "page" & CHR$(34) & " text:ref-name=" & CHR$(34) & "ref" & CHR$(34) & ">"
'     Searchstring(2) = "</text:reference-ref>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 13)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text (Heading): " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:variable-set text:name=&quot;x&quot; text:value-type=&quot;float&quot; text:value=&quot;1&quot; style:data-style-name=&quot;
'///+ Searching for: &quot;&gt;1&lt;/text:variable-set&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:variable-set text:name=" & CHR$(34) & "x" & CHR$(34) & " text:value-type=" & CHR$(34) & "float" & CHR$(34) & " text:value=" & CHR$(34) & "1" & CHR$(34) & " style:data-style-name=" & CHR$(34)
'     Searchstring(2) = CHR$(34) & ">1</text:variable-set>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 16)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text (Heading): " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:user-field-get text:name=&quot;I_am_a_user_field&quot;&gt;
'///+ Searching for: &lt;/text:user-field-get&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:user-field-get text:name=" & CHR$(34) & "I_am_a_user_field" & CHR$(34) & ">"
'     Searchstring(2) = "</text:user-field-get>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 17)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text (Heading): " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:conditional-text text:condition=&quot;x==1&quot; text:string-value-if-true=&quot;x = 1&quot; text:string-value-if-false=" & CHR$(34) & "&quot;x &lt;&gt; 1&quot;&gt;x = 1&lt;/text:conditional-text&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:conditional-text text:condition=" & CHR$(34) & "x==1" & CHR$(34) & " text:string-value-if-true=" & CHR$(34) & "x = 1" & CHR$(34) & " text:string-value-if-false=" & CHR$(34) & "x &lt;&gt; 1" & CHR$(34) & ">x = 1</text:conditional-text>"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 20)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: &lt;text:hidden-text text:condition=&quotx==1&quot; text:string-value=&quot;x is not equal to 1&quot;/&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:hidden-text text:condition=" & CHR$(34) & "x==1" & CHR$(34) & " text:string-value=" & CHR$(34) & "x is not equal to 1" & CHR$(34) & "/>"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 21)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: &lt;text:hidden-paragraph text:condition=&quot;x==1&quot;
'///+ Searching for: text:is-hidden=&quot;true&quot; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:hidden-paragraph text:condition=" & CHR$(34) & "x==1" & CHR$(34)
'     Searchstring(2) = "text:is-hidden=" & CHR$(34) & "true" & CHR$(34)
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 23)
'     for i = 1 to 2
'      If InStr (AdditionalParameter , Searchstring(i) ) = 0 then
'         warnlog "Text: " & Searchstring(i) & " not found!"
'      end If
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:creation-date style:data-style-name=&quot; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:creation-date style:data-style-name=" & CHR$(34)
'     Searchstring(2) = "</text:creation-date>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 27)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text (Heading): " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:editing-cycles&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:editing-cycles>"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 28)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'/// Searching for: &lt;text:modification-date style:data-style-name=&quot;
'///+ Searching for: &lt;/text:modification-date&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:modification-date style:data-style-name=" & CHR$(34)
'     Searchstring(2) = "</text:modification-date>"
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 29)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
'         warnlog "Text (Heading): " & Searchstring(i) & " not found!"
'      end if
'     next i
'     printlog "    * * *"
'/// Searching for: &lt;text:database-display text:database-name=&quot;Bibliography&quot; text:table-name=&quot;biblio&quot; text:column-name=&quot;Author&quot;&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:database-display text:database-name=" & CHR$(34) & "Bibliography" & CHR$(34) & " text:table-name=" & CHR$(34) & "biblio" & CHR$(34) & " text:column-name=" & CHR$(34) & "Author" & CHR$(34) & ">"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 33)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: &lt;text:database-next text:database-name=&quot;Bibliography&quot; text:table-name=&quot;biblio&quot; text:condition=&quot;TRUE&quot;/&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:database-next text:database-name=" & CHR$(34) & "Bibliography" & CHR$(34) & " text:table-name=" & CHR$(34) & "biblio" & CHR$(34) & " text:condition=" & CHR$(34) & "TRUE" & CHR$(34) & "/>"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 34)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: &lt;text:database-display text:database-name=&quot;Bibliography&quot; text:table-name=&quot;biblio&quot; text:column-name=&quot;Author&quot;&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:database-display text:database-name=" & CHR$(34) & "Bibliography" & CHR$(34) & " text:table-name=" & CHR$(34) & "biblio" & CHR$(34) & " text:column-name=" & CHR$(34) & "Author" & CHR$(34) & ">"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 35)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: &lt;text:database-row-number text:database-name=&quot;Bibliography&quot; text:table-name=&quot;biblio&quot; style:num-format=&quot;1&quot; text:value=&quot;3&quot;&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:database-row-number text:database-name=" & CHR$(34) & "Bibliography" & CHR$(34) & " text:table-name=" & CHR$(34) & "biblio" & CHR$(34) & " style:num-format=" & CHR$(34) & "1" & CHR$(34) & " text:value=" & CHR$(34) & "3" & CHR$(34) & ">"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 36)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: &lt;text:database-name text:database-name=&quot;Bibliography&quot; text:table-name=&quot;biblio&quot;>Bibliography.biblio&lt;/text:database-name&gt; ///
'-------------------------------------------------------------------------
'     Searchstring(1) = "<text:database-name text:database-name=" & CHR$(34) & "Bibliography" & CHR$(34) & " text:table-name=" & CHR$(34) & "biblio" & CHR$(34) & ">Bibliography.biblio</text:database-name>"
'     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\fields\content.xml") , "text:p" , 37)
'     If InStr (AdditionalParameter , Searchstring(1) ) = 0 then
'        warnlog "Text: " & Searchstring(1) & " not found!"
'     end If
     printlog "    * * *"
     SAXRelease()
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tfootnotes
 Dim i as integer
 Dim AdditionalParameter as string
 Dim Searchstring(9) as string
 Dim StyleBodyA as string
 Dim StyleDefinitionA as string
  printlog "+- footnotes.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\footnotes.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes.sxw"))
     sleep(2)
     call hCloseDocument
     SAXReadFile(gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml"))
     sleep(2)
'    <u><b>CONTENT.XML</u></b>
'/// Searching for: style:family=&quot;paragraph&quot;
'///+ Searching for: style:class=&quot;extra&quot;
'///+ Searching for: fo:font-size=&quot;10pt&quot;
'///+ Searching for: text:number-lines=&quot;false&quot;
'///+ Searching for: text:line-number=&quot;0&quot;
'///+ Searching for: style:auto-text-indent=&quot;false&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(2) = "style:class=" & CHR$(34) & "extra" & CHR$(34)
     Searchstring(3) = "fo:font-size=" & CHR$(34) & "10pt" & CHR$(34)
     Searchstring(4) = "text:number-lines=" & CHR$(34) & "false" & CHR$(34)
     Searchstring(5) = "text:line-number=" & CHR$(34) & "0" & CHR$(34)
     Searchstring(6) = "style:auto-text-indent="  & CHR$(34) & "false"  & CHR$(34)
'-------------------------------------------------------------------------
     printlog "++ Feature(s) to be searched for:"
     printlog " |"
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\content.xml") , "text:p" , 2)
     printlog "    * " & StyleBodyA & " * "
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
     for i = 1 to 6
      printlog " +- " & Searchstring(i)
      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
        warnlog "Footnote style: " & Searchstring(i) & " not found!"
      end If
     next i
     printlog "    * * *"
'    <u><b>STYLES.XML</u></b>
'/// Searching for: style:family=&quot;text&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "text" & CHR$(34)
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName ( "office:styles", "text:footnotes-configuration" , "text:footnotes-configuration" , 1 "text:default-style-name" )
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
'     If InStr (StyleDefinitionA , Searchstring(1) ) = 0 then
'        warnlog "Footnote Symbol style: " & Searchstring(1) & " not found!"
'     end If
'     printlog "    * * *"
'/// Searching for: style:family=&quot;text&quot;
'///+ Searching for: fo:font-variant=&quot;small-caps&quot;
'///+ Searching for: style:text-position=&quot;super 71%&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "text" & CHR$(34)
     Searchstring(2) = "fo:font-variant=" & CHR$(34) & "small-caps" & CHR$(34)
     Searchstring(3) = "style:text-position=" & CHR$(34) & "super 71%" & CHR$(34)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml") , "<office:styles>", "text:footnotes-configuration" , 1 , 2)
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
'     for i = 1 to 3
'      printlog " +- " & Searchstring(i)
'      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
'        warnlog "Footnote Anchor style: " & Searchstring(i) & " not found!"
'      end If
'     next i
'     printlog "    * * *"
'/// Searching for: style:family=&quot;paragraph&quot;
'///+ Searching for: style:class=&quot;extra&quot;
'///+ Searching for: style:font-name=&quot;Times New Roman&quot;
'///+ Searching for: fo:font-size=&quot;10pt&quot;
'///+ Searching for: fo:font-style=&quot;italic&quot;
'///+ Searching for: fo:margin-top=&quot;
'///+ Searching for: fo:margin-bottom=&quot;
'///+ Searching for: text:number-lines=&quot;false&quot;
'///+ Searching for: text:line-number=&quot;0&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(2) = "style:class=" & CHR$(34) & "extra" & CHR$(34)
     Searchstring(3) = "style:font-name=" & CHR$(34) & "Times New Roman" & CHR$(34)
     Searchstring(4) = "fo:font-size=" & CHR$(34) & "10pt" & CHR$(34)
     Searchstring(5) = "fo:font-style=" & CHR$(34) & "italic" & CHR$(34)
     Searchstring(6) = "fo:margin-top=" & CHR$(34)
     Searchstring(7) = "fo:margin-bottom=" & CHR$(34)
     Searchstring(8) = "text:number-lines=" & CHR$(34) & "false" & CHR$(34)
     Searchstring(9) = "text:line-number=" & CHR$(34) & "0" & CHR$(34)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml") , "<office:styles>", "text:footnotes-configuration" , 1)
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
'     for i = 1 to 9
'      printlog " +- " & Searchstring(i)
'      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
'        warnlog "Caption style: " & Searchstring(i) & " not found!"
'      end If
'     next i
'     printlog "    * * *"
'/// Searching for: style:num-format=&quot;1&quot;
'///+ Searching for: &lt;text:footnote-continuation-notice-forward&gt;
'///+ Searching for: text:start-value=&quot;0&quot;
'///+ Searching for: text:footnotes-position=&quot;page&quot;
'///+ Searching for: text:start-numbering-at=&quot;document&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:num-format=" & CHR$(34) & "1" & CHR$(34)
     Searchstring(2) = "<text:footnote-continuation-notice-forward>"
     Searchstring(3) = "text:start-value=" & CHR$(34) & "0" & CHR$(34)
     Searchstring(4) = "text:footnotes-position=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(5) = "text:start-numbering-at=" & CHR$(34) & "document" & CHR$(34)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml") , "<office:styles>", "text:footnotes-configuration" , 1)
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;text:footnotes-configuration" , "text:default-style-name" , StyleBodyA)
'     for i = 1 to 5
'      printlog " +- " & Searchstring(i)
'      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
'        warnlog "Footnote configuration: " & Searchstring(i) & " not found!"
'      end If
'     next i
'     printlog "    * * *"
'/// Searching for: style:family=&quot;paragraph&quot;
'///+ Searching for: style:class=&quot;extra&quot;
'///+ Searching for: fo:font-size=&quot;10pt&quot;
'///+ Searching for: text:number-lines=&quot;false&quot;
'///+ Searching for: text:line-number=&quot;0&quot;
'///+ Searching for: fo:margin-left=&quot;
'///+ Searching for: fo:margin-right=&quot;
'///+ Searching for: fo:text-indent=&quot;
'///+ Searching for: style:auto-text-indent=&quot;false&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(2) = "style:class=" & CHR$(34) & "extra" & CHR$(34)
     Searchstring(3) = "fo:font-size=" & CHR$(34) & "10pt" & CHR$(34)
     Searchstring(4) = "text:number-lines=" & CHR$(34) & "false" & CHR$(34)
     Searchstring(5) = "text:line-number=" & CHR$(34) & "0" & CHR$(34)
     Searchstring(6) = "fo:margin-left=" & CHR$(34)
     Searchstring(7) = "fo:margin-right=" & CHR$(34)
     Searchstring(8) = "fo:text-indent=" & CHR$(34)
     Searchstring(9) = "style:auto-text-indent=" & CHR$(34) & "false" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\content.xml") , "text:p" , 30)
     printlog "    * " & StyleBodyA & " * "
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
     for i = 1 to 9
      printlog " +- " & Searchstring(i)
      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
        warnlog "endnote style: " & Searchstring(i) & " not found!"
      end If
     next i
     printlog "    * * *"
'/// Searching for: style:family=&quot;text&quot;
'///+ Searching for: fo:color=&quot;#0000ff&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "text" & CHR$(34)
     Searchstring(2) = "fo:color=" & CHR$(34) & "#0000ff" & CHR$(34)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml") , "<office:styles>", "text:endnotes-configuration" , 1 , 1)
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
'        warnlog "endnote Symbol style: " & Searchstring(i) & " not found!"
'      end If
'     next i
'     printlog "    * * *"
'/// Searching for: style:family=&quot;text&quot;
'///+ Searching for: style:text-position=&quot;super 90%&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "text" & CHR$(34)
     Searchstring(2) = "style:text-position=" & CHR$(34) & "super 90%" & CHR$(34)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml") , "<office:styles>", "text:endnotes-configuration" , 1 , 2)
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;style:style" , "style:name" , StyleBodyA)
'     for i = 1 to 2
'      printlog " +- " & Searchstring(i)
'      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
'       warnlog "endnote anchor style: " & Searchstring(i) & " not found!"
'     end If
'    next i
'    printlog "    * * *"
'/// Searching for: text:default-style-name=&quot;
'///+ Searching for: text:citation-style-name=&quot;
'///+ Searching for: text:citation-body-style-name=&quot;
'///+ Searching for: text:master-page-name=&quot;
'///+ Searching for: style:num-prefix=&quot;(&quot;
'///+ Searching for: style:num-suffix=&quot;)&quot;
'///+ Searching for: style:num-format=&quot;a&quot;
'///+ Searching for: style:num-letter-sync=&quot;true&quot;
'///+ Searching for: text:start-value=&quot;0&quot; ///
'-------------------------------------------------------------------------
     Searchstring(1) = "text:default-style-name=" & CHR$(34)
     Searchstring(2) = "text:citation-style-name=" & CHR$(34)
     Searchstring(3) = "text:citation-body-style-name=" & CHR$(34)
     Searchstring(4) = "text:master-page-name=" & CHR$(34)
     Searchstring(5) = "style:num-prefix=" & CHR$(34) & "(" & CHR$(34)
     Searchstring(6) = "style:num-suffix=" & CHR$(34) & ")" & CHR$(34)
     Searchstring(7) = "style:num-format=" & CHR$(34) & "a" & CHR$(34)
     Searchstring(8) = "style:num-letter-sync=" & CHR$(34) & "true" & CHR$(34)
     Searchstring(9) = "text:start-value=" & CHR$(34) & "0" & CHR$(34)
'-------------------------------------------------------------------------
'     StyleBodyA = GetItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml") , "<office:styles>", "text:endnotes-configuration" , 1 )
'     printlog "    * " & StyleBodyA & " * "
'     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\footnotes\styles.xml")), "office:document-styles", "office:styles;text:endnotes-configuration" , "text:default-style-name" , StyleBodyA)
'     for i = 1 to 9
'      printlog " +- " & Searchstring(i)
'      If InStr (StyleDefinitionA , Searchstring(i) ) = 0 then
'        warnlog "endnote anchor style: " & Searchstring(i) & " not found!"
'      end If
'     next i
'     printlog "    * * *"
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

