'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxw_03.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:47 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Writer Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxw_03

   printlog "--------------------------- SXW_03.INC ------------------------------"
   call hEnablePrettyPrinting
   call thyperlinks
   call hEnablePrettyPrinting(1)
   call tindexes_alpha
   call tindex_biblio
   call tindex_most
   call tpages
   call tparagraph01
   call tparagraph02
   call tsection_main
   printlog "------------------------ Macros and Events --------------------------"
   call tEventsToObjects
   printlog "--------------------------- File Repair -----------------------------"
   call tFileRepair
   
end sub

'-------------------------------------------------------------------------

testcase thyperlinks
 Dim Searchstring(9) as string
 Dim i as integer
 Dim AdditionalParameter as string
 printlog "+- hyperlinks.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\hyperlinks.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
'    -----------------------
'     T E X T - S T Y L E S
'    -----------------------
'    <text:p text:style-name="Standard"><text:a xlink:type="simple" xlink:href="http://Www.sun.com/" office:target-frame-name="_blank" xlink:show="new" text:style-name="Variable" text:visited-style-name="Quotation"><text:span text:style-name="T1">Www.sun.com</text:span></text:a></text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = "<text:a"
     Searchstring(2) = "xlink:type=" & CHR$(34) & "simple" & CHR$(34)
     Searchstring(3) = "xlink:href=" & CHR$(34) & "http://Www.sun.com/" & CHR$(34)
     Searchstring(4) = "office:target-frame-name=" & CHR$(34) & "_blank" & CHR$(34)
     Searchstring(5) = "xlink:show=" & CHR$(34) & "new" & CHR$(34)
     Searchstring(6) = "text:visited-style-name=" & CHR$(34)
     Searchstring(7) = ">Www.sun.com<"
     Searchstring(8) = "</text:span>"
     Searchstring(9) = "</text:a>"
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks\content.xml") , "text:p" , 1)
     printlog "Debug: " & AdditionalParameter
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Hyperlinks in text: " & Searchstring(i) & " not found!"
      end if
     Next i

'   <text:p text:style-name="P1"><text:a xlink:type="simple" xlink:href="#targ" text:style-name="Variable" text:visited-style-name="Quotation">jump</text:a></text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = "<text:a"
     Searchstring(2) = "xlink:type=" & CHR$(34) & "simple" & CHR$(34)
     Searchstring(3) = "xlink:href=" & CHR$(34) & "#targ" & CHR$(34)
     Searchstring(4) = "text:visited-style-name=" & CHR$(34)
     Searchstring(5) = ">jump<"
     Searchstring(6) = "</text:a>"
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks\content.xml") , "text:p" , 3)
     For i = 1 to 6
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Hyperlinks in text: " & Searchstring(i) & " not found!"
      end if
     Next i

'   <text:p text:style-name="P1"><text:bookmark-start text:name="targ"/>target here<text:bookmark-end text:name="targ"/></text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = "<text:bookmark-start"
     Searchstring(2) = "text:name=" & CHR$(34) & "targ" & CHR$(34)
     Searchstring(3) = ">target here<"
     Searchstring(4) = "<text:bookmark-end"
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\hyperlinks\content.xml") , "text:p" , 6)
     For i = 1 to 4
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Hyperlinks in text: " & Searchstring(i) & " not found!"
      end if
     Next i
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tindexes_alpha
  printlog "+- indexes_alpha.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\indexes_alpha.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\indexes_alpha.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tindex_biblio
  printlog "+- index_biblio.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\index_biblio.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\index_biblio.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tindex_most
  printlog "+- index_most.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\index_most.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\index_most.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\index_most.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\index_most") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\index_most\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\index_most\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\index_most\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\index_most.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tpages
  printlog "+- pages.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\pages.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\pages.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\pages.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\pages") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\pages\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\pages\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\pages\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\pages.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tparagraph01
  printlog "+- paragraph01.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\paragraph01.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph01.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tparagraph02
  printlog "+- paragraph02.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\paragraph02.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\paragraph02.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tsection_main
  printlog "+- section_main.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\section_main.sdw") , TRUE)
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\section_main.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\section_main.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\section_main") )
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\section_main\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\section_main\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\section_main\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\section_main.sxw") , TRUE)
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tEventsToObjects
'/// Goal: All macros embedded to the objects should be exported corrextly to XML fileformat. 
 Dim i as integer
 Dim l as integer
 Dim a as integer
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- events_to_objects.sdw"
  call hOpenFileAndIgnoreMacroWarning (gTesttoolPath & ConvertPath("xml\update\input\writer\events_to_objects.sdw") , 1)
'/// Load (binary) document.
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects.sxw") , gWriterFilter) = TRUE then
'/// Save as StarOffice XML fileformat (.sxw).
     call hCloseDocument
'/// Close window with the document.
     UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects") )
'/// Uncompressing .sxw files in directory <pre>../user/work/events_to_objects/</pre>. 
     if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
'///+Verify that XML files (<i>styles.xml</i>, <i>meta.xml</i> and <i>content.xml</i>) are <i>well formed</i>. 
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
'/// If <i>well formness</i> is okay, load exported document.
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects.sxw"))
      sleep(2)
      Kontext "DocumentWriter"
       DocumentWriter.TypeKeys "<SHIFT F5>" , TRUE
'/// Select first graphic with &lt;SHIFT&gt;&lt;F5&gt;
'///+ and a messagebox should be displayed.
'///+ Press &lt;RETURN&gt; key.
'///<i>four times</i>
'///+<ol><li>Press &lt;TAB&gt; key to select the next object.</li><li>and a messagebox should be displayed.</li><li>Press &lt;RETURN&gt; key.</li></ol>
      for l = 1 to 4
       Kontext "Messagebox"
       if Messagebox.Exists(2) then
         if Messagebox.GetRT = 304 then
           Messagebox.OK
         end if
        else
         if l = 1 then warnlog "Event on Graphic failed! No Message Box occured!"
         if l = 2 then warnlog "Event on OLE object failed! No Message Box occured!"
         if l = 3 then warnlog "Event on text frame object failed! No Message Box occured!"
         if l = 4 then warnlog "Event on text frame object (frame style applied) failed! No Message Box occured!"
       end if
       if l <> 4 then
        Kontext "DocumentWriter"
         DocumentWriter.TypeKeys "<TAB>"
       end if
      next l
'/// Close document. 
      call hCloseDocument
      sleep(2)
'TODO: Search for the events in source.       
'     SAXReadFile(gOfficePath & ConvertPath("user\work\xml\writer\update\events_to_objects\content.xml"))
'     SAXRelease()
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tFileRepair
'/// Feature: <a href="http://so-web4.germany.sun.com/eis/servlet/qa.FeatureEditServlet?Id=2508">2508</a>   
'/// Goal: Repairing of corrupted packages (ZIP) to get the content in a recovered document.  
 Dim i as integer
 Dim l as integer
 Dim a as integer
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- SSI Email browser.sxw"
'/// Load document (bugdoc from a customer, a corrupted ZIP package).
'///+ A message box must be opened!
  call hOpenFileAndIgnoreMacroWarning (gTesttoolPath & ConvertPath("xml\update\input\writer\SSI Email browser.sxw") , 1)
  sleep(2)
    try
'/// Testing that the file is loaded in read only-mode.    
    InsertSection
    Kontext
     Active.Setpage TabBereiche
    Kontext "TabBereiche"
     TabBereiche.Cancel     
     warnlog "The document has not been loaded in read only (recovery) mode!!! BUG!"      
     catch
     printlog "The document has been loaded in read only (recovery) mode."
    endcatch
    sleep(2)
    FileSaveAs
    Kontext "SpeichernDlg"
     if SpeichernDlg.Exists(1) then
       SpeichernDlg.Cancel
      else
       warnlog "File -> Save As does not work! No File dialog opened!"
     end if
'/// Closing document.
    call hCloseDocument
endcase

'-------------------------------------------------------------------------
 
